diff --git a/follow_focus.py b/follow_focus.py index e919fa9..f9bf855 100644 --- a/follow_focus.py +++ b/follow_focus.py @@ -102,7 +102,7 @@ gear_offset=0.5 base = base.faces('Z[0]').workplane().center(21,-20.15).circle(11/2).extrude(-lid_thicknesss+wall_width) +lid = lid.faces('>Z[0]').workplane().center(21,-20.15).hLine(t, forConstruction=True).threePointArc((-t,t/2),(0,-t)).polarLine(t, slant_degree).close().extrude(-lid_thicknesss+wall_width) lid = lid.faces('>Z[0]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2) lid = lid.faces('>Z[0]').workplane().circle(2).cutThruAll() m_hole_diameter=6